function chkregid(byVal) {
  var regUserid=byVal.trim();
	if(regUserid.length<1) return;	
  var xmldom=new ActiveXObject("Microsoft.XMLDOM")
	xmldom.async="false";
	xmldom.load("chkRegUser.asp?regUserid=" + regUserid);
	if(xmldom.readyState>2){
	 var node=xmldom.documentElement.childNodes;
	 if(node.length>0) {alert(node.item(0).text);}
	}
}
String.prototype.trim=function() {
 var spaceHead=/^\s*/g; 
 var spaceAfter=/\s$/g; 
 return(this.replace(spaceHead,"").replace(spaceAfter,""));
}

function IsDigit(cCheck)  {  return (('0'<=cCheck) && (cCheck<='9')); }
function IsAlpha(cCheck)  {  return ((('a'<=cCheck) && (cCheck<='z')) || (('A'<=cCheck) && (cCheck<='Z')))}
function isTelOrMobile(byVal) { return (/[^\d-－（）\(\)]/g.test(byVal));}
//检测合法email;--demo   sxg
function chkemail(mailElement) 
{ 
 var mail=mailElement.value.toLowerCase()
 var re=/^(\w+[-])*\w+@(\w+[.])+(com|cn|net|org|gov)(\.[a-z]+)?$/;
 if(!(re.test(mail))) { alert(请正确邮箱地址！); mailElement.focus(); return false;}
 return true;
}

function checkInput(nForm)  
{
 //用户名
 var strUserID = nForm.userid.value.trim();  
 if (strUserID=="") {	alert("请输入用户名!");	nForm.userid.focus(); return false; }
 if (strUserID.length >12) {	alert("用户名不能超过12位!"); nForm.userid.focus(); return false;}
 var re=/[@|#|\$|%|\^|&|\*|\(|\)]/g;
 if(re.test(strUserID)) {alert("用户名中含有非法字符。"); nForm.userid.focus(); return false;}
 //密码 
 var strPassword = nForm.pwd1.value.trim();
 if (strPassword==strUserID) { alert("密码不能与用户名相同。");nForm.pwd1.focus();return false;}
 if (strPassword.length<6||strPassword.length>15) { alert("密码限制长度为6-15位。");nForm.pwd1.focus();return false; }
 for (var pwIndex=0; pwIndex<strPassword.length;pwIndex++)  
	{  
		cCheck = strPassword.charAt(pwIndex);
		if ( cCheck==' ' || cCheck==':' || cCheck=='\'' || cCheck=='"' )  
		{ alert("密码不能使用空格、单双引号及冒号。");nForm.pwd1.focus(); return false; }  
	}
 //重复密码
 if (strPassword!= nForm.pwd2.value) {	alert("两遍输入的密码不一致!");	nForm.pwd1.focus();	return false;}
 //提示问题
 //var strQuestion = nForm.question.value.trim();  
 //if (strQuestion=="") {	alert("请输入密码提示问题!");	nForm.question.focus(); return false; } 
 //var re=/[@|#|\$|%|\^|&|\*|\(|\)]/g;
 //if(re.test(strQuestion)) {alert("提示问题中含有非法字符。"); nForm.question.focus(); return false;}
 //提示问题答案
 //var strAnswer = nForm.answer.value.trim();  
 //if (strAnswer=="") {	alert("请输入密码答案!");	nForm.answer.focus(); return false; } 
 //var re=/[@|#|\$|%|\^|&|\*|\(|\)]/g;
 //if(re.test(strAnswer)) {alert("密码答案中含有非法字符。"); nForm.answer.focus(); return false;}
 //所在地
 var strsheng = nForm.sheng.value.trim();  
 if (strsheng=="") {	alert("请选择所在省份!");	nForm.sheng.focus(); return false; } 
 var strshi = nForm.shi.value.trim();  
 if (strshi=="") {	alert("请选择所在城市!");	nForm.shi.focus(); return false; } 
 
 //email
 var stremail = nForm.email.value.trim();
 re=/^[\w-]+(\.[\w-]+)*@[\w-]+(\.[\w-]+)+$/g;
 if (stremail==""||!(re.test(stremail))){ alert("请输入正确的E-mail");nForm.email.focus();return false;}
 
 //生日
 if(nForm.birthyear.value=="0")  { alert("请填写出生日期。");nForm.birthyear.focus();	return false;}
 if(nForm.birthmonth.value=="0") { alert("请填写出生日期。");nForm.birthmonth.focus();	return false;}
 if(nForm.birthday.value=="0")   { alert("请填写出生日期。");nForm.birthday.focus();	return false;}
 //检测身高与体重
 var intweight = nForm.weight.value.trim();  
 var intheight = nForm.height.value.trim();
 if (intheight=="") {	alert("请输入您的身高!");	nForm.height.focus(); return false; } 
 if (intweight=="") {	alert("请输入您的体重!");	nForm.weight.focus(); return false; } 
 re=/[^\d]/g;
 if(re.test(intheight)) {alert("身高中含有非法字符。"); nForm.height.focus(); return false;}
 if(re.test(intweight)) {alert("体重中含有非法字符。"); nForm.weight.focus(); return false;}
  //学历
 var xueli=nForm.xueli.value.trim(); 
 if(xueli=="") { alert("请选择您的学历！");return false;}
  //职业
 var zhiye=nForm.zhiye.value.trim(); 
 if(zhiye=="") { alert("请选择您的职业！");return false;}
 
 //检测手机与固定电话必需输入一项
 //var mobileVal=nForm.cell.value.trim();
 //var telVal   =nForm.phone.value.trim();
 //if(mobileVal==""&&telVal=="") { alert("固定电话与手机请至少填入一项");return false;}
 //房面积
 var house=nForm.house.value.trim();
 re=/[^\d]/g;
 if(house!=""&&re.test(house)){alert("房屋面积不是数字！");nForm.house.focus();return false;}
  
 var xuanyan=nForm.xuanyan.value.trim(); 
 if(xuanyan=="") { alert("请选择您的交友宣言！");return false;}
 //独白字数
 if(nForm.dubai.value.length>195){alert("个人独白字数不能超过200！");return false;}
 //
 if(!nForm.access.checked){alert("接受服务条款才能注册！");return false;}
 
  return true;
}